Skip to main content
GET
/
api
/
intelligence
/
sales-forecasts
List sales forecasts
curl --request GET \
  --url https://app.solya.app/api/intelligence/sales-forecasts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "algorithm": "prophet-v2",
      "confidenceLevel": 0.87,
      "forecastDate": "2025-10-01",
      "granularity": "WEEK",
      "lbQuantity": 8,
      "quantity": 12,
      "shopId": "shop-uuid-paris",
      "sizeTaxonomyId": "size-uuid-m",
      "ubQuantity": 16,
      "variantId": "var-uuid-001"
    },
    {
      "algorithm": "prophet-v2",
      "confidenceLevel": 0.82,
      "forecastDate": "2025-10-01",
      "granularity": "WEEK",
      "lbQuantity": 4,
      "quantity": 7,
      "shopId": "shop-uuid-lyon",
      "sizeTaxonomyId": "size-uuid-l",
      "ubQuantity": 11,
      "variantId": "var-uuid-002"
    }
  ],
  "page": 1,
  "pageSize": 20,
  "total": 3500
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Query Parameters

page
integer
default:1

Page number, 1-indexed (default: 1)

Required range: 1 <= x <= 9007199254740991
pageSize
integer
default:20

Number of items per page, max 100 (default: 20)

Required range: 1 <= x <= 100
variantId
string

Filter by variant ID

sizeTaxonomyId
string

Filter by size taxonomy ID

shopId
string

Filter by shop ID

granularity
enum<string>

Forecast time granularity: DAY, WEEK, MONTH, or QUARTER

Available options:
DAY,
WEEK,
MONTH,
QUARTER
forecastDateFrom
string

Inclusive lower bound on forecast date, ISO-8601 format (e.g. 2025-09-01)

Pattern: ^\d{4}-\d{2}-\d{2}$
forecastDateTo
string

Inclusive upper bound on forecast date, ISO-8601 format (e.g. 2025-12-31)

Pattern: ^\d{4}-\d{2}-\d{2}$

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true